#
# spec file for package perl-String-ShellQuote
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-String-ShellQuote
Version:        1.04
Release:        lp152.4.2
Summary:        Quote strings for passing through the shell
License:        Artistic-1.0 OR GPL-2.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/String-ShellQuote/
Source:         http://www.cpan.org/authors/id/R/RO/ROSCH/String-ShellQuote-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
BuildArch:      noarch
%{perl_requires}

%description
This module contains some functions which are useful for quoting strings
which are going to pass through the shell or a shell-like object.

%prep
%setup -q -n String-ShellQuote-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make %{?_smp_mflags} test

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -print0 | xargs -0 --no-run-if-empty rm -f
find %{buildroot} -depth -type d -print0 | xargs -0 --no-run-if-empty rmdir 2>/dev/null || true
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Fri Jan 19 2018 pmonrealgonzalez@suse.com
- Cleaned spec file with spec-cleaner
* Thu Jan 18 2018 dimstar@opensuse.org
- Remove duplicate BuildArch: noarch.
* Mon Jun 24 2013 dmueller@suse.com
- fix license string
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Jun 25 2010 jw@novell.com
- 1.04
  - Don't escape "=" unless it's in command position.  Thanks to Chip
    for the inspiration.
  - Use "#!perl" in test.t (closes #38072).
  - Don't try to test or install the shell-quote script on Windows
    (closes #46445).
* Wed May  5 2010 lnussel@suse.de
- new package version 1.03 created using cpanspec
